# See dos how to configure the bundle: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"
    filter_sets:
        cache: ~
        remote_search_slide:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 405, 270 ]
        worker_intra_picture:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 260, 230 ]
        remote_search_slide_deco:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [410, 270], mode: outbound }
        remote_sheet_slide:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 625, 350 ]
        remote_sheet_slide_deco:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [710, 400], mode: outbound }
        remote_sheet_slide_deco_portrait:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [450,525], mode: outbound }
        remote_sheet_slide_deco_scale:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 710, 400 ]
        remote_sheet_slide_photo_scale:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 525, 350 ]
        remote_news_thumb:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                # thumbnail: { size: [350, 230], mode: outbound }
                thumbnail: { size: [350, 230], mode: outbound }
        remote_news_thumb_scale:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 280 ]
        remote_news_thumb_scale_watermark_architect:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 280 ]
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Architecte-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        remote_news_thumb_scale_watermark_photographer:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 280 ]
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Photographes-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        remote_news_thumb_scale_watermark_decorator:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 280 ]
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Decorateur-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        remote_news_thumb_multiple:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 230 ]
        remote_news_thumb_multiple_architect:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 230 ]
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Architecte-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        remote_news_thumb_multiple_photographer:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 230 ]
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Photographes-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        remote_news_thumb_multiple_decorator:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 350, 230 ]
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Decorateur-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        remote_news_thumb_scale_home:
                    cache: worker_image_resolver
                    data_loader: worker_image_loader
                    quality: 100
                    filters:
                        scale: 
                            dim: [ 270, 170 ]
        remote_news_thumb_scale_home_watermark:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [ 270, 170 ]
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Decorateur-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        remote_news_content:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                # thumbnail: { size: [350, 230], mode: outbound }
        remote_news_head:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
        remote_news_head_watermark_architect:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Architecte-Rond-Petit_watermark.png"
                    size: 0.1
                    position: bottomright
        remote_news_head_watermark_photographer:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Photographes-Rond-Petit_watermark.png"
                    size: 0.1
                    position: bottomright
        remote_news_head_watermark_decorator:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Decorateur-Rond-Petit_watermark.png"
                    size: 0.1
                    position: bottomright
        remote_worker_logo:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [90, 135], mode: outbound }
        remote_worker_logo_photographe:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [135, 135], mode: outbound }
        remote_worker_logo_sheet:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [120, 180], mode: outbound }
        remote_worker_logo_sheet_deco:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [100, 100], mode: outbound }
        remote_worker_logo_sheet_photographe:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [180, 180], mode: outbound }
        remote_worker_logo_sheet_deco_test_test_test:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale:
                    dim: [120]
        remote_worker_logo_deco:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [60, 60], mode: outbound }
        worker_tranet:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale:
                    dim: [175]
        worker_tranet_images:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale:
                    dim: [150]
        home_page_skill:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [265, 185], mode: outbound }
        home_page_style_deco:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [230, 230], mode: outbound }
        home_page_news:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [400, 350], mode: outbound }
        home_page_news_watermark:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [400, 350], mode: outbound }
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Architecte-Rond-Petit_watermark.png"
                    size: 0.2
                    position: bottomright
        home_page_news_photographe:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [400, 250], mode: outbound }
        home_page_news_photographe_watermark:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [400, 250], mode: outbound }
                watermark_image:
                    image: "../../../../../../%kernel.project_dir%/public/lib/media/base/Logo-Photographes-Rond-Petit_watermark.png"
                    size: 0.1
                    position: bottomright
        home_page_news_deco:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [220, 220], mode: outbound }
        portfolio_thumbnail:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [220, 200], mode: outbound }
        portfolio_carousel:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale:
                    dim: [670,400]
        display_image_type_home_photogarpher:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                scale: 
                    dim: [255,190]
        remote_worker_logo_intra:
            cache: worker_image_resolver
            data_loader: worker_image_loader
            quality: 100
            filters:
                thumbnail: { size: [110, 160], mode: outbound }